Class | Resolv::DNS::Requester::UnconnectedUDP::Sender
In: | resolv.rb
Parent: | Requester::Sender

### Methods

new send

### Public Class methods

new(msg, data, sock, host, port, queue)

[Source]

    # File resolv.rb, line 607
              def initialize(msg, data, sock, host, port, queue)
                super(msg, data, sock, queue)
                @host = host
                @port = port
              end

### Public Instance methods

send()

[Source]

    # File resolv.rb, line 613
              def send
                @sock.send(@msg, 0, @host, @port)
              end

[Validate]